Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.data
Class Alphabet

    java.lang.Object
      de.jstacs.data.Alphabet

All Implemented Interfaces:
  InstantiableFromParameterSet, Storable, Comparable<Alphabet>

Direct Known Subclasses:
  ContinuousAlphabet, DiscreteAlphabet

    public abstract class Alphabet

extends Object
implements Storable, InstantiableFromParameterSet, Comparable<Alphabet>

Class for an `Alphabet`. All `Alphabet`s are immutable.

Author:
  Jens Keilwagen

Nested Class Summary
`static class` | `Alphabet.AlphabetParameterSet` The super class for the `InstanceParameterSet` of any `Alphabet`.

Constructor Summary
`Alphabet()`

Method Summary
`boolean` | `checkConsistency(Alphabet a)` Checks if two alphabets are consistent, i.e. both alphabets use the same symbols.
`abstract double` | `getMin()` Returns the minimal value.
`abstract double` | `length()` Returns the length of the alphabet.
`abstract String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.jstacs.Storable
`toXML`

Methods inherited from interface de.jstacs.InstantiableFromParameterSet
`getCurrentParameterSet`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### Alphabet

    public Alphabet()

Method Detail

### checkConsistency

    public final boolean checkConsistency(Alphabet a)

  Checks if two alphabets are consistent, i.e. both alphabets use the same symbols.

  Parameters:
    `a` - the second alphabet
  Returns:
    true if both alphabets are consistent, false otherwise

### getMin

    public abstract double getMin()

  Returns the minimal value.

  Returns:
    the minimal value

### length

    public abstract double length()

  Returns the length of the alphabet.

  Returns:
    the length of the alphabet

### toString

    public abstract String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD